Login
Newsletter

Thema: Welche Office-Anwendung setzen Sie hauptsächlich ein?

3 Kommentar(e) || Alle anzeigen ||  RSS || Kommentieren
Kommentare von Lesern spiegeln nicht unbedingt die Meinung der Redaktion wider.
1
Von brrrrrrrrr am So, 13. März 2016 um 16:30 #

Nein, weder in Ubuntu noch in Debian noch in OpenSuse.

Den Supportaufwand wird sich auch niemand antun, gerade aufgrund der sehr wahrscheinlich vorhandenen Sicherheitslücken. Und man hat ja gesehen, wie ewig es dauerte, bis ein Sicherheitsproblem in AOO-Version 4.1.2 gefixt wurde. Das ist alles andere als vertrauenserweckend.

Wer das freiwillig machen möchte, ist herzlich dazu eingeladen, den zugehörigen Maintainer-Job zu übernehmen. Da der OpenOffice-Upstream praktisch tot ist, würde das einer Sisyphosaufgabe gleichen, die einen eher in die Bereiche der Existenzialphilosophie führt als in den Bereich der Linuxentwicklung.

OpenOffice ist halt aufgrund seines Namens in der Apache-Version noch immer sehr stark unter Windows verbreitet. Und selbst wenn OpenOffice das eine oder andere Sicherheitsproblem haben sollte, unter Windows XP bis 10 fällt das IMO gar nicht mehr auf.

Unter Linux ist das in den meisten Distributionen ein No-Go. Denn der AOO-Upstream erscheint tot, deshalb wird man OpenOffice nicht mehr in ein Distributionspaketarchiv aufnehmen, sonst müsste man als Distribution AOO ja selbst fixen.

Als Privatnutzer kann man sich zu einer Distro natürlich hinzuinstallieren, was man möchte, ob Apache OpenOffice, WPS, "FreeOffice" oder Softmaker Office. Und wer es noch fertigbringen sollte, "Dinosaurier" wie StarOffice, Lotus Symphony, Applixware und Wordperfect zu installieren, der darf das genauso tun. Hauptsache, die betreffende Software befindet sich in keinem distributionseigenen Paketarchiv und Hauptsache, man ist als Distro in punkto Sicherheit nicht dafür verantwortlich.

  • 0
    Von Unerkannt am Mo, 14. März 2016 um 10:07 #

    Die langen Zeiten zwischen den Veröffentlichungen machen die Unterstützung von Openoffice doch denkbar einfach. Einmal im Jahr veröffentlicht, bedeutet maximal einmal im Jahr das Skript zum Paketerstellen anpassen. Das Sicherheitslücken nicht zeitnah gefixt werden mag ärgerlich sein, aber das ist nicht die Aufgabe der Distribution. Die Distribution ist nur dafür zuständig fertige Aktualisierungen schnell einzupflegen.

    An andere Stelle jucken vorhandene Sicherheitslücken in den Paketen auch niemand. Ich erinnere mich da zum Beispiel an veraltete Webkit Versionen. In meinen Augen reicht es den Benutzer darauf hinzuweisen das es sich um problematische Versionen handelt und den Rest kann er dann selbst entscheiden.

    0
    Von ah am Mo, 14. März 2016 um 23:17 #

    Sicherheitsprobleme fallen nicht auf? Na denn, interessante Einstellung...

Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten